# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.0

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:
.PHONY : .NOTPARALLEL

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/plain_kubuntu/OpenSource/FunG

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/plain_kubuntu/OpenSource/FunG/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/cmake-gui -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/plain_kubuntu/OpenSource/FunG/build/CMakeFiles /home/plain_kubuntu/OpenSource/FunG/build/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/plain_kubuntu/OpenSource/FunG/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named Continuous

# Build rule for target.
Continuous: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 Continuous
.PHONY : Continuous

# fast build rule for target.
Continuous/fast:
	$(MAKE) -f CMakeFiles/Continuous.dir/build.make CMakeFiles/Continuous.dir/build
.PHONY : Continuous/fast

#=============================================================================
# Target rules for targets named ContinuousBuild

# Build rule for target.
ContinuousBuild: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ContinuousBuild
.PHONY : ContinuousBuild

# fast build rule for target.
ContinuousBuild/fast:
	$(MAKE) -f CMakeFiles/ContinuousBuild.dir/build.make CMakeFiles/ContinuousBuild.dir/build
.PHONY : ContinuousBuild/fast

#=============================================================================
# Target rules for targets named ContinuousConfigure

# Build rule for target.
ContinuousConfigure: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ContinuousConfigure
.PHONY : ContinuousConfigure

# fast build rule for target.
ContinuousConfigure/fast:
	$(MAKE) -f CMakeFiles/ContinuousConfigure.dir/build.make CMakeFiles/ContinuousConfigure.dir/build
.PHONY : ContinuousConfigure/fast

#=============================================================================
# Target rules for targets named ContinuousCoverage

# Build rule for target.
ContinuousCoverage: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ContinuousCoverage
.PHONY : ContinuousCoverage

# fast build rule for target.
ContinuousCoverage/fast:
	$(MAKE) -f CMakeFiles/ContinuousCoverage.dir/build.make CMakeFiles/ContinuousCoverage.dir/build
.PHONY : ContinuousCoverage/fast

#=============================================================================
# Target rules for targets named ContinuousMemCheck

# Build rule for target.
ContinuousMemCheck: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ContinuousMemCheck
.PHONY : ContinuousMemCheck

# fast build rule for target.
ContinuousMemCheck/fast:
	$(MAKE) -f CMakeFiles/ContinuousMemCheck.dir/build.make CMakeFiles/ContinuousMemCheck.dir/build
.PHONY : ContinuousMemCheck/fast

#=============================================================================
# Target rules for targets named ContinuousStart

# Build rule for target.
ContinuousStart: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ContinuousStart
.PHONY : ContinuousStart

# fast build rule for target.
ContinuousStart/fast:
	$(MAKE) -f CMakeFiles/ContinuousStart.dir/build.make CMakeFiles/ContinuousStart.dir/build
.PHONY : ContinuousStart/fast

#=============================================================================
# Target rules for targets named ContinuousSubmit

# Build rule for target.
ContinuousSubmit: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ContinuousSubmit
.PHONY : ContinuousSubmit

# fast build rule for target.
ContinuousSubmit/fast:
	$(MAKE) -f CMakeFiles/ContinuousSubmit.dir/build.make CMakeFiles/ContinuousSubmit.dir/build
.PHONY : ContinuousSubmit/fast

#=============================================================================
# Target rules for targets named ContinuousTest

# Build rule for target.
ContinuousTest: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ContinuousTest
.PHONY : ContinuousTest

# fast build rule for target.
ContinuousTest/fast:
	$(MAKE) -f CMakeFiles/ContinuousTest.dir/build.make CMakeFiles/ContinuousTest.dir/build
.PHONY : ContinuousTest/fast

#=============================================================================
# Target rules for targets named ContinuousUpdate

# Build rule for target.
ContinuousUpdate: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ContinuousUpdate
.PHONY : ContinuousUpdate

# fast build rule for target.
ContinuousUpdate/fast:
	$(MAKE) -f CMakeFiles/ContinuousUpdate.dir/build.make CMakeFiles/ContinuousUpdate.dir/build
.PHONY : ContinuousUpdate/fast

#=============================================================================
# Target rules for targets named Experimental

# Build rule for target.
Experimental: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 Experimental
.PHONY : Experimental

# fast build rule for target.
Experimental/fast:
	$(MAKE) -f CMakeFiles/Experimental.dir/build.make CMakeFiles/Experimental.dir/build
.PHONY : Experimental/fast

#=============================================================================
# Target rules for targets named ExperimentalBuild

# Build rule for target.
ExperimentalBuild: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ExperimentalBuild
.PHONY : ExperimentalBuild

# fast build rule for target.
ExperimentalBuild/fast:
	$(MAKE) -f CMakeFiles/ExperimentalBuild.dir/build.make CMakeFiles/ExperimentalBuild.dir/build
.PHONY : ExperimentalBuild/fast

#=============================================================================
# Target rules for targets named ExperimentalConfigure

# Build rule for target.
ExperimentalConfigure: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ExperimentalConfigure
.PHONY : ExperimentalConfigure

# fast build rule for target.
ExperimentalConfigure/fast:
	$(MAKE) -f CMakeFiles/ExperimentalConfigure.dir/build.make CMakeFiles/ExperimentalConfigure.dir/build
.PHONY : ExperimentalConfigure/fast

#=============================================================================
# Target rules for targets named ExperimentalCoverage

# Build rule for target.
ExperimentalCoverage: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ExperimentalCoverage
.PHONY : ExperimentalCoverage

# fast build rule for target.
ExperimentalCoverage/fast:
	$(MAKE) -f CMakeFiles/ExperimentalCoverage.dir/build.make CMakeFiles/ExperimentalCoverage.dir/build
.PHONY : ExperimentalCoverage/fast

#=============================================================================
# Target rules for targets named ExperimentalMemCheck

# Build rule for target.
ExperimentalMemCheck: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ExperimentalMemCheck
.PHONY : ExperimentalMemCheck

# fast build rule for target.
ExperimentalMemCheck/fast:
	$(MAKE) -f CMakeFiles/ExperimentalMemCheck.dir/build.make CMakeFiles/ExperimentalMemCheck.dir/build
.PHONY : ExperimentalMemCheck/fast

#=============================================================================
# Target rules for targets named ExperimentalStart

# Build rule for target.
ExperimentalStart: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ExperimentalStart
.PHONY : ExperimentalStart

# fast build rule for target.
ExperimentalStart/fast:
	$(MAKE) -f CMakeFiles/ExperimentalStart.dir/build.make CMakeFiles/ExperimentalStart.dir/build
.PHONY : ExperimentalStart/fast

#=============================================================================
# Target rules for targets named ExperimentalSubmit

# Build rule for target.
ExperimentalSubmit: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ExperimentalSubmit
.PHONY : ExperimentalSubmit

# fast build rule for target.
ExperimentalSubmit/fast:
	$(MAKE) -f CMakeFiles/ExperimentalSubmit.dir/build.make CMakeFiles/ExperimentalSubmit.dir/build
.PHONY : ExperimentalSubmit/fast

#=============================================================================
# Target rules for targets named ExperimentalTest

# Build rule for target.
ExperimentalTest: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ExperimentalTest
.PHONY : ExperimentalTest

# fast build rule for target.
ExperimentalTest/fast:
	$(MAKE) -f CMakeFiles/ExperimentalTest.dir/build.make CMakeFiles/ExperimentalTest.dir/build
.PHONY : ExperimentalTest/fast

#=============================================================================
# Target rules for targets named ExperimentalUpdate

# Build rule for target.
ExperimentalUpdate: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ExperimentalUpdate
.PHONY : ExperimentalUpdate

# fast build rule for target.
ExperimentalUpdate/fast:
	$(MAKE) -f CMakeFiles/ExperimentalUpdate.dir/build.make CMakeFiles/ExperimentalUpdate.dir/build
.PHONY : ExperimentalUpdate/fast

#=============================================================================
# Target rules for targets named Nightly

# Build rule for target.
Nightly: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 Nightly
.PHONY : Nightly

# fast build rule for target.
Nightly/fast:
	$(MAKE) -f CMakeFiles/Nightly.dir/build.make CMakeFiles/Nightly.dir/build
.PHONY : Nightly/fast

#=============================================================================
# Target rules for targets named NightlyBuild

# Build rule for target.
NightlyBuild: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 NightlyBuild
.PHONY : NightlyBuild

# fast build rule for target.
NightlyBuild/fast:
	$(MAKE) -f CMakeFiles/NightlyBuild.dir/build.make CMakeFiles/NightlyBuild.dir/build
.PHONY : NightlyBuild/fast

#=============================================================================
# Target rules for targets named NightlyConfigure

# Build rule for target.
NightlyConfigure: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 NightlyConfigure
.PHONY : NightlyConfigure

# fast build rule for target.
NightlyConfigure/fast:
	$(MAKE) -f CMakeFiles/NightlyConfigure.dir/build.make CMakeFiles/NightlyConfigure.dir/build
.PHONY : NightlyConfigure/fast

#=============================================================================
# Target rules for targets named NightlyCoverage

# Build rule for target.
NightlyCoverage: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 NightlyCoverage
.PHONY : NightlyCoverage

# fast build rule for target.
NightlyCoverage/fast:
	$(MAKE) -f CMakeFiles/NightlyCoverage.dir/build.make CMakeFiles/NightlyCoverage.dir/build
.PHONY : NightlyCoverage/fast

#=============================================================================
# Target rules for targets named NightlyMemCheck

# Build rule for target.
NightlyMemCheck: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 NightlyMemCheck
.PHONY : NightlyMemCheck

# fast build rule for target.
NightlyMemCheck/fast:
	$(MAKE) -f CMakeFiles/NightlyMemCheck.dir/build.make CMakeFiles/NightlyMemCheck.dir/build
.PHONY : NightlyMemCheck/fast

#=============================================================================
# Target rules for targets named NightlyMemoryCheck

# Build rule for target.
NightlyMemoryCheck: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 NightlyMemoryCheck
.PHONY : NightlyMemoryCheck

# fast build rule for target.
NightlyMemoryCheck/fast:
	$(MAKE) -f CMakeFiles/NightlyMemoryCheck.dir/build.make CMakeFiles/NightlyMemoryCheck.dir/build
.PHONY : NightlyMemoryCheck/fast

#=============================================================================
# Target rules for targets named NightlyStart

# Build rule for target.
NightlyStart: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 NightlyStart
.PHONY : NightlyStart

# fast build rule for target.
NightlyStart/fast:
	$(MAKE) -f CMakeFiles/NightlyStart.dir/build.make CMakeFiles/NightlyStart.dir/build
.PHONY : NightlyStart/fast

#=============================================================================
# Target rules for targets named NightlySubmit

# Build rule for target.
NightlySubmit: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 NightlySubmit
.PHONY : NightlySubmit

# fast build rule for target.
NightlySubmit/fast:
	$(MAKE) -f CMakeFiles/NightlySubmit.dir/build.make CMakeFiles/NightlySubmit.dir/build
.PHONY : NightlySubmit/fast

#=============================================================================
# Target rules for targets named NightlyTest

# Build rule for target.
NightlyTest: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 NightlyTest
.PHONY : NightlyTest

# fast build rule for target.
NightlyTest/fast:
	$(MAKE) -f CMakeFiles/NightlyTest.dir/build.make CMakeFiles/NightlyTest.dir/build
.PHONY : NightlyTest/fast

#=============================================================================
# Target rules for targets named NightlyUpdate

# Build rule for target.
NightlyUpdate: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 NightlyUpdate
.PHONY : NightlyUpdate

# fast build rule for target.
NightlyUpdate/fast:
	$(MAKE) -f CMakeFiles/NightlyUpdate.dir/build.make CMakeFiles/NightlyUpdate.dir/build
.PHONY : NightlyUpdate/fast

#=============================================================================
# Target rules for targets named git_update

# Build rule for target.
git_update: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 git_update
.PHONY : git_update

# fast build rule for target.
git_update/fast:
	$(MAKE) -f CMakeFiles/git_update.dir/build.make CMakeFiles/git_update.dir/build
.PHONY : git_update/fast

#=============================================================================
# Target rules for targets named gtest

# Build rule for target.
gtest: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 gtest
.PHONY : gtest

# fast build rule for target.
gtest/fast:
	$(MAKE) -f CMakeFiles/gtest.dir/build.make CMakeFiles/gtest.dir/build
.PHONY : gtest/fast

#=============================================================================
# Target rules for targets named unit_tests

# Build rule for target.
unit_tests: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 unit_tests
.PHONY : unit_tests

# fast build rule for target.
unit_tests/fast:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/build
.PHONY : unit_tests/fast

external/googletest/src/gtest-all.o: external/googletest/src/gtest-all.cc.o
.PHONY : external/googletest/src/gtest-all.o

# target to build an object file
external/googletest/src/gtest-all.cc.o:
	$(MAKE) -f CMakeFiles/gtest.dir/build.make CMakeFiles/gtest.dir/external/googletest/src/gtest-all.cc.o
.PHONY : external/googletest/src/gtest-all.cc.o

external/googletest/src/gtest-all.i: external/googletest/src/gtest-all.cc.i
.PHONY : external/googletest/src/gtest-all.i

# target to preprocess a source file
external/googletest/src/gtest-all.cc.i:
	$(MAKE) -f CMakeFiles/gtest.dir/build.make CMakeFiles/gtest.dir/external/googletest/src/gtest-all.cc.i
.PHONY : external/googletest/src/gtest-all.cc.i

external/googletest/src/gtest-all.s: external/googletest/src/gtest-all.cc.s
.PHONY : external/googletest/src/gtest-all.s

# target to generate assembly for a file
external/googletest/src/gtest-all.cc.s:
	$(MAKE) -f CMakeFiles/gtest.dir/build.make CMakeFiles/gtest.dir/external/googletest/src/gtest-all.cc.s
.PHONY : external/googletest/src/gtest-all.cc.s

external/googletest/src/gtest_main.o: external/googletest/src/gtest_main.cc.o
.PHONY : external/googletest/src/gtest_main.o

# target to build an object file
external/googletest/src/gtest_main.cc.o:
	$(MAKE) -f CMakeFiles/gtest.dir/build.make CMakeFiles/gtest.dir/external/googletest/src/gtest_main.cc.o
.PHONY : external/googletest/src/gtest_main.cc.o

external/googletest/src/gtest_main.i: external/googletest/src/gtest_main.cc.i
.PHONY : external/googletest/src/gtest_main.i

# target to preprocess a source file
external/googletest/src/gtest_main.cc.i:
	$(MAKE) -f CMakeFiles/gtest.dir/build.make CMakeFiles/gtest.dir/external/googletest/src/gtest_main.cc.i
.PHONY : external/googletest/src/gtest_main.cc.i

external/googletest/src/gtest_main.s: external/googletest/src/gtest_main.cc.s
.PHONY : external/googletest/src/gtest_main.s

# target to generate assembly for a file
external/googletest/src/gtest_main.cc.s:
	$(MAKE) -f CMakeFiles/gtest.dir/build.make CMakeFiles/gtest.dir/external/googletest/src/gtest_main.cc.s
.PHONY : external/googletest/src/gtest_main.cc.s

test/cmath/arcsine_unittest.o: test/cmath/arcsine_unittest.cpp.o
.PHONY : test/cmath/arcsine_unittest.o

# target to build an object file
test/cmath/arcsine_unittest.cpp.o:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/cmath/arcsine_unittest.cpp.o
.PHONY : test/cmath/arcsine_unittest.cpp.o

test/cmath/arcsine_unittest.i: test/cmath/arcsine_unittest.cpp.i
.PHONY : test/cmath/arcsine_unittest.i

# target to preprocess a source file
test/cmath/arcsine_unittest.cpp.i:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/cmath/arcsine_unittest.cpp.i
.PHONY : test/cmath/arcsine_unittest.cpp.i

test/cmath/arcsine_unittest.s: test/cmath/arcsine_unittest.cpp.s
.PHONY : test/cmath/arcsine_unittest.s

# target to generate assembly for a file
test/cmath/arcsine_unittest.cpp.s:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/cmath/arcsine_unittest.cpp.s
.PHONY : test/cmath/arcsine_unittest.cpp.s

test/cmath/cosine_unittest.o: test/cmath/cosine_unittest.cpp.o
.PHONY : test/cmath/cosine_unittest.o

# target to build an object file
test/cmath/cosine_unittest.cpp.o:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/cmath/cosine_unittest.cpp.o
.PHONY : test/cmath/cosine_unittest.cpp.o

test/cmath/cosine_unittest.i: test/cmath/cosine_unittest.cpp.i
.PHONY : test/cmath/cosine_unittest.i

# target to preprocess a source file
test/cmath/cosine_unittest.cpp.i:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/cmath/cosine_unittest.cpp.i
.PHONY : test/cmath/cosine_unittest.cpp.i

test/cmath/cosine_unittest.s: test/cmath/cosine_unittest.cpp.s
.PHONY : test/cmath/cosine_unittest.s

# target to generate assembly for a file
test/cmath/cosine_unittest.cpp.s:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/cmath/cosine_unittest.cpp.s
.PHONY : test/cmath/cosine_unittest.cpp.s

test/cmath/exp_unittest.o: test/cmath/exp_unittest.cpp.o
.PHONY : test/cmath/exp_unittest.o

# target to build an object file
test/cmath/exp_unittest.cpp.o:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/cmath/exp_unittest.cpp.o
.PHONY : test/cmath/exp_unittest.cpp.o

test/cmath/exp_unittest.i: test/cmath/exp_unittest.cpp.i
.PHONY : test/cmath/exp_unittest.i

# target to preprocess a source file
test/cmath/exp_unittest.cpp.i:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/cmath/exp_unittest.cpp.i
.PHONY : test/cmath/exp_unittest.cpp.i

test/cmath/exp_unittest.s: test/cmath/exp_unittest.cpp.s
.PHONY : test/cmath/exp_unittest.s

# target to generate assembly for a file
test/cmath/exp_unittest.cpp.s:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/cmath/exp_unittest.cpp.s
.PHONY : test/cmath/exp_unittest.cpp.s

test/cmath/log_unittest.o: test/cmath/log_unittest.cpp.o
.PHONY : test/cmath/log_unittest.o

# target to build an object file
test/cmath/log_unittest.cpp.o:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/cmath/log_unittest.cpp.o
.PHONY : test/cmath/log_unittest.cpp.o

test/cmath/log_unittest.i: test/cmath/log_unittest.cpp.i
.PHONY : test/cmath/log_unittest.i

# target to preprocess a source file
test/cmath/log_unittest.cpp.i:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/cmath/log_unittest.cpp.i
.PHONY : test/cmath/log_unittest.cpp.i

test/cmath/log_unittest.s: test/cmath/log_unittest.cpp.s
.PHONY : test/cmath/log_unittest.s

# target to generate assembly for a file
test/cmath/log_unittest.cpp.s:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/cmath/log_unittest.cpp.s
.PHONY : test/cmath/log_unittest.cpp.s

test/cmath/pow_unittest.o: test/cmath/pow_unittest.cpp.o
.PHONY : test/cmath/pow_unittest.o

# target to build an object file
test/cmath/pow_unittest.cpp.o:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/cmath/pow_unittest.cpp.o
.PHONY : test/cmath/pow_unittest.cpp.o

test/cmath/pow_unittest.i: test/cmath/pow_unittest.cpp.i
.PHONY : test/cmath/pow_unittest.i

# target to preprocess a source file
test/cmath/pow_unittest.cpp.i:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/cmath/pow_unittest.cpp.i
.PHONY : test/cmath/pow_unittest.cpp.i

test/cmath/pow_unittest.s: test/cmath/pow_unittest.cpp.s
.PHONY : test/cmath/pow_unittest.s

# target to generate assembly for a file
test/cmath/pow_unittest.cpp.s:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/cmath/pow_unittest.cpp.s
.PHONY : test/cmath/pow_unittest.cpp.s

test/cmath/sine_unittest.o: test/cmath/sine_unittest.cpp.o
.PHONY : test/cmath/sine_unittest.o

# target to build an object file
test/cmath/sine_unittest.cpp.o:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/cmath/sine_unittest.cpp.o
.PHONY : test/cmath/sine_unittest.cpp.o

test/cmath/sine_unittest.i: test/cmath/sine_unittest.cpp.i
.PHONY : test/cmath/sine_unittest.i

# target to preprocess a source file
test/cmath/sine_unittest.cpp.i:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/cmath/sine_unittest.cpp.i
.PHONY : test/cmath/sine_unittest.cpp.i

test/cmath/sine_unittest.s: test/cmath/sine_unittest.cpp.s
.PHONY : test/cmath/sine_unittest.s

# target to generate assembly for a file
test/cmath/sine_unittest.cpp.s:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/cmath/sine_unittest.cpp.s
.PHONY : test/cmath/sine_unittest.cpp.s

test/cmath/tan_unittest.o: test/cmath/tan_unittest.cpp.o
.PHONY : test/cmath/tan_unittest.o

# target to build an object file
test/cmath/tan_unittest.cpp.o:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/cmath/tan_unittest.cpp.o
.PHONY : test/cmath/tan_unittest.cpp.o

test/cmath/tan_unittest.i: test/cmath/tan_unittest.cpp.i
.PHONY : test/cmath/tan_unittest.i

# target to preprocess a source file
test/cmath/tan_unittest.cpp.i:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/cmath/tan_unittest.cpp.i
.PHONY : test/cmath/tan_unittest.cpp.i

test/cmath/tan_unittest.s: test/cmath/tan_unittest.cpp.s
.PHONY : test/cmath/tan_unittest.s

# target to generate assembly for a file
test/cmath/tan_unittest.cpp.s:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/cmath/tan_unittest.cpp.s
.PHONY : test/cmath/tan_unittest.cpp.s

test/fung/function_interface_test.o: test/fung/function_interface_test.cpp.o
.PHONY : test/fung/function_interface_test.o

# target to build an object file
test/fung/function_interface_test.cpp.o:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/fung/function_interface_test.cpp.o
.PHONY : test/fung/function_interface_test.cpp.o

test/fung/function_interface_test.i: test/fung/function_interface_test.cpp.i
.PHONY : test/fung/function_interface_test.i

# target to preprocess a source file
test/fung/function_interface_test.cpp.i:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/fung/function_interface_test.cpp.i
.PHONY : test/fung/function_interface_test.cpp.i

test/fung/function_interface_test.s: test/fung/function_interface_test.cpp.s
.PHONY : test/fung/function_interface_test.s

# target to generate assembly for a file
test/fung/function_interface_test.cpp.s:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/fung/function_interface_test.cpp.s
.PHONY : test/fung/function_interface_test.cpp.s

test/fung/variable_unittest.o: test/fung/variable_unittest.cpp.o
.PHONY : test/fung/variable_unittest.o

# target to build an object file
test/fung/variable_unittest.cpp.o:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/fung/variable_unittest.cpp.o
.PHONY : test/fung/variable_unittest.cpp.o

test/fung/variable_unittest.i: test/fung/variable_unittest.cpp.i
.PHONY : test/fung/variable_unittest.i

# target to preprocess a source file
test/fung/variable_unittest.cpp.i:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/fung/variable_unittest.cpp.i
.PHONY : test/fung/variable_unittest.cpp.i

test/fung/variable_unittest.s: test/fung/variable_unittest.cpp.s
.PHONY : test/fung/variable_unittest.s

# target to generate assembly for a file
test/fung/variable_unittest.cpp.s:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/fung/variable_unittest.cpp.s
.PHONY : test/fung/variable_unittest.cpp.s

test/mathematical_operations/chain_unittest.o: test/mathematical_operations/chain_unittest.cpp.o
.PHONY : test/mathematical_operations/chain_unittest.o

# target to build an object file
test/mathematical_operations/chain_unittest.cpp.o:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/mathematical_operations/chain_unittest.cpp.o
.PHONY : test/mathematical_operations/chain_unittest.cpp.o

test/mathematical_operations/chain_unittest.i: test/mathematical_operations/chain_unittest.cpp.i
.PHONY : test/mathematical_operations/chain_unittest.i

# target to preprocess a source file
test/mathematical_operations/chain_unittest.cpp.i:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/mathematical_operations/chain_unittest.cpp.i
.PHONY : test/mathematical_operations/chain_unittest.cpp.i

test/mathematical_operations/chain_unittest.s: test/mathematical_operations/chain_unittest.cpp.s
.PHONY : test/mathematical_operations/chain_unittest.s

# target to generate assembly for a file
test/mathematical_operations/chain_unittest.cpp.s:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/mathematical_operations/chain_unittest.cpp.s
.PHONY : test/mathematical_operations/chain_unittest.cpp.s

test/mathematical_operations/product_unittest.o: test/mathematical_operations/product_unittest.cpp.o
.PHONY : test/mathematical_operations/product_unittest.o

# target to build an object file
test/mathematical_operations/product_unittest.cpp.o:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/mathematical_operations/product_unittest.cpp.o
.PHONY : test/mathematical_operations/product_unittest.cpp.o

test/mathematical_operations/product_unittest.i: test/mathematical_operations/product_unittest.cpp.i
.PHONY : test/mathematical_operations/product_unittest.i

# target to preprocess a source file
test/mathematical_operations/product_unittest.cpp.i:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/mathematical_operations/product_unittest.cpp.i
.PHONY : test/mathematical_operations/product_unittest.cpp.i

test/mathematical_operations/product_unittest.s: test/mathematical_operations/product_unittest.cpp.s
.PHONY : test/mathematical_operations/product_unittest.s

# target to generate assembly for a file
test/mathematical_operations/product_unittest.cpp.s:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/mathematical_operations/product_unittest.cpp.s
.PHONY : test/mathematical_operations/product_unittest.cpp.s

test/mathematical_operations/scale_unittest.o: test/mathematical_operations/scale_unittest.cpp.o
.PHONY : test/mathematical_operations/scale_unittest.o

# target to build an object file
test/mathematical_operations/scale_unittest.cpp.o:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/mathematical_operations/scale_unittest.cpp.o
.PHONY : test/mathematical_operations/scale_unittest.cpp.o

test/mathematical_operations/scale_unittest.i: test/mathematical_operations/scale_unittest.cpp.i
.PHONY : test/mathematical_operations/scale_unittest.i

# target to preprocess a source file
test/mathematical_operations/scale_unittest.cpp.i:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/mathematical_operations/scale_unittest.cpp.i
.PHONY : test/mathematical_operations/scale_unittest.cpp.i

test/mathematical_operations/scale_unittest.s: test/mathematical_operations/scale_unittest.cpp.s
.PHONY : test/mathematical_operations/scale_unittest.s

# target to generate assembly for a file
test/mathematical_operations/scale_unittest.cpp.s:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/mathematical_operations/scale_unittest.cpp.s
.PHONY : test/mathematical_operations/scale_unittest.cpp.s

test/mathematical_operations/squared_unittest.o: test/mathematical_operations/squared_unittest.cpp.o
.PHONY : test/mathematical_operations/squared_unittest.o

# target to build an object file
test/mathematical_operations/squared_unittest.cpp.o:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/mathematical_operations/squared_unittest.cpp.o
.PHONY : test/mathematical_operations/squared_unittest.cpp.o

test/mathematical_operations/squared_unittest.i: test/mathematical_operations/squared_unittest.cpp.i
.PHONY : test/mathematical_operations/squared_unittest.i

# target to preprocess a source file
test/mathematical_operations/squared_unittest.cpp.i:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/mathematical_operations/squared_unittest.cpp.i
.PHONY : test/mathematical_operations/squared_unittest.cpp.i

test/mathematical_operations/squared_unittest.s: test/mathematical_operations/squared_unittest.cpp.s
.PHONY : test/mathematical_operations/squared_unittest.s

# target to generate assembly for a file
test/mathematical_operations/squared_unittest.cpp.s:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/mathematical_operations/squared_unittest.cpp.s
.PHONY : test/mathematical_operations/squared_unittest.cpp.s

test/mathematical_operations/sum_unittest.o: test/mathematical_operations/sum_unittest.cpp.o
.PHONY : test/mathematical_operations/sum_unittest.o

# target to build an object file
test/mathematical_operations/sum_unittest.cpp.o:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/mathematical_operations/sum_unittest.cpp.o
.PHONY : test/mathematical_operations/sum_unittest.cpp.o

test/mathematical_operations/sum_unittest.i: test/mathematical_operations/sum_unittest.cpp.i
.PHONY : test/mathematical_operations/sum_unittest.i

# target to preprocess a source file
test/mathematical_operations/sum_unittest.cpp.i:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/mathematical_operations/sum_unittest.cpp.i
.PHONY : test/mathematical_operations/sum_unittest.cpp.i

test/mathematical_operations/sum_unittest.s: test/mathematical_operations/sum_unittest.cpp.s
.PHONY : test/mathematical_operations/sum_unittest.s

# target to generate assembly for a file
test/mathematical_operations/sum_unittest.cpp.s:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/mathematical_operations/sum_unittest.cpp.s
.PHONY : test/mathematical_operations/sum_unittest.cpp.s

test/test.o: test/test.cpp.o
.PHONY : test/test.o

# target to build an object file
test/test.cpp.o:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/test.cpp.o
.PHONY : test/test.cpp.o

test/test.i: test/test.cpp.i
.PHONY : test/test.i

# target to preprocess a source file
test/test.cpp.i:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/test.cpp.i
.PHONY : test/test.cpp.i

test/test.s: test/test.cpp.s
.PHONY : test/test.s

# target to generate assembly for a file
test/test.cpp.s:
	$(MAKE) -f CMakeFiles/unit_tests.dir/build.make CMakeFiles/unit_tests.dir/test/test.cpp.s
.PHONY : test/test.cpp.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... Continuous"
	@echo "... ContinuousBuild"
	@echo "... ContinuousConfigure"
	@echo "... ContinuousCoverage"
	@echo "... ContinuousMemCheck"
	@echo "... ContinuousStart"
	@echo "... ContinuousSubmit"
	@echo "... ContinuousTest"
	@echo "... ContinuousUpdate"
	@echo "... Experimental"
	@echo "... ExperimentalBuild"
	@echo "... ExperimentalConfigure"
	@echo "... ExperimentalCoverage"
	@echo "... ExperimentalMemCheck"
	@echo "... ExperimentalStart"
	@echo "... ExperimentalSubmit"
	@echo "... ExperimentalTest"
	@echo "... ExperimentalUpdate"
	@echo "... Nightly"
	@echo "... NightlyBuild"
	@echo "... NightlyConfigure"
	@echo "... NightlyCoverage"
	@echo "... NightlyMemCheck"
	@echo "... NightlyMemoryCheck"
	@echo "... NightlyStart"
	@echo "... NightlySubmit"
	@echo "... NightlyTest"
	@echo "... NightlyUpdate"
	@echo "... edit_cache"
	@echo "... git_update"
	@echo "... gtest"
	@echo "... rebuild_cache"
	@echo "... test"
	@echo "... unit_tests"
	@echo "... external/googletest/src/gtest-all.o"
	@echo "... external/googletest/src/gtest-all.i"
	@echo "... external/googletest/src/gtest-all.s"
	@echo "... external/googletest/src/gtest_main.o"
	@echo "... external/googletest/src/gtest_main.i"
	@echo "... external/googletest/src/gtest_main.s"
	@echo "... test/cmath/arcsine_unittest.o"
	@echo "... test/cmath/arcsine_unittest.i"
	@echo "... test/cmath/arcsine_unittest.s"
	@echo "... test/cmath/cosine_unittest.o"
	@echo "... test/cmath/cosine_unittest.i"
	@echo "... test/cmath/cosine_unittest.s"
	@echo "... test/cmath/exp_unittest.o"
	@echo "... test/cmath/exp_unittest.i"
	@echo "... test/cmath/exp_unittest.s"
	@echo "... test/cmath/log_unittest.o"
	@echo "... test/cmath/log_unittest.i"
	@echo "... test/cmath/log_unittest.s"
	@echo "... test/cmath/pow_unittest.o"
	@echo "... test/cmath/pow_unittest.i"
	@echo "... test/cmath/pow_unittest.s"
	@echo "... test/cmath/sine_unittest.o"
	@echo "... test/cmath/sine_unittest.i"
	@echo "... test/cmath/sine_unittest.s"
	@echo "... test/cmath/tan_unittest.o"
	@echo "... test/cmath/tan_unittest.i"
	@echo "... test/cmath/tan_unittest.s"
	@echo "... test/fung/function_interface_test.o"
	@echo "... test/fung/function_interface_test.i"
	@echo "... test/fung/function_interface_test.s"
	@echo "... test/fung/variable_unittest.o"
	@echo "... test/fung/variable_unittest.i"
	@echo "... test/fung/variable_unittest.s"
	@echo "... test/mathematical_operations/chain_unittest.o"
	@echo "... test/mathematical_operations/chain_unittest.i"
	@echo "... test/mathematical_operations/chain_unittest.s"
	@echo "... test/mathematical_operations/product_unittest.o"
	@echo "... test/mathematical_operations/product_unittest.i"
	@echo "... test/mathematical_operations/product_unittest.s"
	@echo "... test/mathematical_operations/scale_unittest.o"
	@echo "... test/mathematical_operations/scale_unittest.i"
	@echo "... test/mathematical_operations/scale_unittest.s"
	@echo "... test/mathematical_operations/squared_unittest.o"
	@echo "... test/mathematical_operations/squared_unittest.i"
	@echo "... test/mathematical_operations/squared_unittest.s"
	@echo "... test/mathematical_operations/sum_unittest.o"
	@echo "... test/mathematical_operations/sum_unittest.i"
	@echo "... test/mathematical_operations/sum_unittest.s"
	@echo "... test/test.o"
	@echo "... test/test.i"
	@echo "... test/test.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

